Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VGPU.Record

    java.lang.Object
      com.xensource.xenapi.VGPU.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VGPU

    public static class VGPU.Record

extends Object
implements Types.Record

Represents all the fields in a VGPU

Field Summary
`Boolean` | `currentlyAttached` Reflects whether the virtual device is currently connected to a physical device
`String` | `device` Order in which the devices are plugged into the VM
`GPUGroup` | `GPUGroup` GPU group used by the vGPU
`Map<String,String>` | `otherConfig` Additional configuration
`String` | `uuid` Unique identifier/object reference
`VM` | `VM` VM that owns the vGPU

Constructor Summary
`VGPU.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VGPU.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### VM

    public VM VM

  VM that owns the vGPU

### GPUGroup

    public GPUGroup GPUGroup

  GPU group used by the vGPU

### device

    public String device

  Order in which the devices are plugged into the VM

### currentlyAttached

    public Boolean currentlyAttached

  Reflects whether the virtual device is currently connected to a physical device

### otherConfig

    public Map<String,String> otherConfig

  Additional configuration

Constructor Detail

### VGPU.Record

    public VGPU.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VGPU.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD